# _LinphoneVTable Struct Reference
[Initializing liblinphone]

`#include <linphonecore.h>`

## Data Fields
LinphoneGlobalStateCb | global_state_changed
LinphoneRegistrationStateCb | registration_state_changed
LinphoneCallStateCb | call_state_changed
NotifyPresenceReceivedCb | notify_presence_recv
NewSubscribtionRequestCb | new_subscription_request
AuthInfoRequested | auth_info_requested
CallLogUpdated | call_log_updated
TextMessageReceived | text_received
DtmfReceived | dtmf_received
ReferReceived | refer_received
BuddyInfoUpdated | buddy_info_updated
NotifyReceivedCb | notify_recv
DisplayStatusCb | display_status
DisplayMessageCb | display_message
DisplayUrlCb | display_url
ShowInterfaceCb | show

## Detailed Description

This structure holds all callbacks that the application should implement. None is mandatory.

## Field Documentation

LinphoneGlobalStateCb _LinphoneVTable::global_state_changed

Notifies globlal state changes

LinphoneRegistrationStateCb _LinphoneVTable::registration_state_changed

Notifies registration state changes

LinphoneCallStateCb _LinphoneVTable::call_state_changed

Notifies call state changes

NotifyPresenceReceivedCb _LinphoneVTable::notify_presence_recv

Notify received presence events

NewSubscribtionRequestCb _LinphoneVTable::new_subscription_request

Notify about pending subscription request

AuthInfoRequested _LinphoneVTable::auth_info_requested

Ask the application some authentication information

CallLogUpdated _LinphoneVTable::call_log_updated

Notifies that call log list has been updated

TextMessageReceived _LinphoneVTable::text_received

A text message has been received

DtmfReceived _LinphoneVTable::dtmf_received

A dtmf has been received received

ReferReceived _LinphoneVTable::refer_received

An out of call refer was received

BuddyInfoUpdated _LinphoneVTable::buddy_info_updated

a LinphoneFriend's BuddyInfo has changed

NotifyReceivedCb _LinphoneVTable::notify_recv

Other notifications

DisplayStatusCb _LinphoneVTable::display_status

Callback that notifies various events with human readable text.

DisplayMessageCb _LinphoneVTable::display_message

Callback to display a message to the user

DisplayUrlCb _LinphoneVTable::display_url

Callback to display a warning to the user

ShowInterfaceCb _LinphoneVTable::show

Notifies the application that it should show up

The documentation for this struct was generated from the following file:

- linphonecore.h